--
-- Author: Martin Fabík (aka LoogleCZ)
--
-- Free for non-comerecial usage
-- Please do not edit this script
-- If you want, you can contact me at mar.fabik@gmail.com
--
-- version ID   - 1.00
-- version date - 28.6.2016 (12:48)
--

tatra815 = {};

function tatra815.prerequisitesPresent(specializations)
	return true;
end;

function tatra815:load(xmlFile)
	self.rotateObject = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.rotateMotor#index"));
	self.rotateObjectSpeed = Utils.getNoNil(getXMLString(xmlFile, "vehicle.rotateMotor#speed"),20);
end;

function tatra815:delete()
end;

function tatra815:writeStream(streamId, connection)
end;

function tatra815:readStream(streamId, connection)
end;

function tatra815:mouseEvent(posX, posY, isDown, isUp, button)
end;

function tatra815:keyEvent(unicode, sym, modifier, isDown)
end;

function tatra815:update(dt)
	if self.isEntered then
		if not self.brakeLightsVisibility and self.lastSpeed*3600 < 3 then
			if Input.isKeyPressed(Input.KEY_w) or Input.isKeyPressed(Input.KEY_s) then
				self:setAnimationTime(1,self.animationParts[1].animDuration);
			else 
				self:setAnimationTime(1,self.animationParts[1].offSet);
			end;
		end;
		if not self.brakeLightsVisibility then
			if not self.isHired then
				if self.movingDirection < 0 then
					if Input.isKeyPressed(Input.KEY_s) and self.lastSpeed*3600 > 1 then
						self:setAnimationTime(2,self.animationParts[2].animDuration);
					else 
						self:setAnimationTime(2,self.animationParts[2].offSet);
					end;
				end;
			end;
		end;
		if self.movingDirection > 0 then
			if not self.isHired then
				if Input.isKeyPressed(Input.KEY_w) or self.lastSpeed*3600 > 1 then
					self:setAnimationTime(3,self.animationParts[3].animDuration);
				else 
					self:setAnimationTime(3,self.animationParts[3].offSet);
				end;		
			end;
		end;
	end;
	
	if self.isMotorStarted then
		if self.rotateObject ~= nil then
			local x, y, z = getRotation(self.rotateObject);
			local rot = {x,y,z-dt*self.rotateObjectSpeed};
			setRotation(self.rotateObject, unpack(rot));
		end;
	end;
end;

function tatra815:updateTick(dt)
end;

function tatra815:draw()
end;

function tatra815:onEnter()
end;

function tatra815:onLeave()
end;